Cyberduck Mountain Duck CLI

#11394 closed defect (fixed)

Login Failed: Exhausted Available Authentication Methods

Reported by: jconsolini Owned by: dkocher
Priority: highest Milestone: 7.8.0
Component: sftp Version: 7.7.2
Severity: blocker Keywords:
Cc: Architecture:
Platform: macOS 11

Description

Continually getting the error message: "Login failed. Exhausted available authentication methods. Please contact your web hosting service provider for assistance." I should have no issues getting onto the server of which I am trying to use, because I have gotten on through terminal numerous times since trying to get onto cyberduck.

Attachments (1)

Screen Shot 2020-12-08 at 2.42.04 PM.png (1.2 MB) - added by jconsolini on Dec 8, 2020 at 7:42:55 PM.
This is the issue

Download all attachments as: .zip

Change History (11)

Changed on Dec 8, 2020 at 7:42:55 PM by jconsolini

This is the issue

comment:1 Changed on Dec 9, 2020 at 1:08:10 PM by dkocher

Do you have a PreferredAuthentications setting in your OpenSSH ~/.ssh/config?

Last edited on Dec 12, 2020 at 6:11:03 PM by dkocher (previous) (diff)

comment:2 follow-up: Changed on Dec 12, 2020 at 5:45:04 PM by cbdjjdmn1

Same issue with version 7.7.2 on Mac OS 10.14.6 accessing a Linux server using PIV authentication. I have PKCS11Provider set in the ssh config file. It works with command line sftp, FileZilla and Cyberduck through version 7.7.1 but fails with 7.7.2, so it's a new bug or feature. For now I went back to version 7.7.1.

comment:3 in reply to: ↑ 2 ; follow-up: Changed on Dec 12, 2020 at 6:11:29 PM by dkocher

Replying to cbdjjdmn1:

Same issue with version 7.7.2 on Mac OS 10.14.6 accessing a Linux server using PIV authentication. I have PKCS11Provider set in the ssh config file. It works with command line sftp, FileZilla and Cyberduck through version 7.7.1 but fails with 7.7.2, so it's a new bug or feature. For now I went back to version 7.7.1.

Please share your configuration in ~/.ssh/config.

comment:4 in reply to: ↑ 3 Changed on Dec 12, 2020 at 8:04:23 PM by cbdjjdmn1

Replying to dkocher:

Please share your configuration in ~/.ssh/config.

This is a scrubbed version of the config entry for that host:

Host host1 host1.addr1.addr2.com

Hostname host1.addr1.addr2.com ServerAliveInterval 30 ServerAliveCountMax 3 AddKeysToAgent yes ForwardAgent yes PKCS11Provider /usr/lib/ssh-keychain.dylib

Version 0, edited on Dec 12, 2020 at 8:04:23 PM by cbdjjdmn1 (next)

comment:5 follow-up: Changed on Dec 13, 2020 at 10:12:14 AM by dkocher

We never supported the PKCS11Provider directive. But if the key is registered with SSH agent it should work using public key authentication. Possibly related to #10454.

comment:6 in reply to: ↑ 5 Changed on Dec 13, 2020 at 2:28:03 PM by cbdjjdmn1

Replying to dkocher:

We never supported the PKCS11Provider directive. But if the key is registered with SSH agent it should work using public key authentication. Possibly related to #10454.


The key is registered with this command: ssh-add -s /usr/lib/ssh-keychain.dylib

Last edited on Dec 13, 2020 at 2:28:36 PM by cbdjjdmn1 (previous) (diff)

comment:7 Changed on Dec 21, 2020 at 8:56:09 AM by dkocher

  • Milestone set to 7.7.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:8 Changed on Dec 21, 2020 at 12:25:00 PM by dkocher

  • Milestone changed from 7.7.3 to 7.8.0

Milestone renamed

comment:9 Changed on Dec 21, 2020 at 4:24:21 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50360.

comment:10 Changed on Dec 21, 2020 at 4:24:41 PM by dkocher

  • Component changed from core to sftp
Note: See TracTickets for help on using tickets.